<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Comments Template
 * @since 		1.0
 * @version		3.9.5
 */

use WeCodeArt\Utilities\Markup;

if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' === basename( $_SERVER['SCRIPT_FILENAME'] ) ) {
	die( 'Please do not load this page directly!' );
}

if ( post_password_required() ) {
	Markup::wrap( 'comment-form-protected', [ [
		'tag' 	=> 'p',
		'attrs' => [
			'class' => 'alert alert-light border-primary'
		]
	] ], 'printf', [ 
		esc_html__( 'This post is password protected. Enter the password to view comments.', wecodeart_config( 'textdomain' ) )
	] );
	return;
} 

do_action( 'wecodeart/hook/comments/before' );

/**
 * @see 	WeCodeArt\Utilities\Markup::wrap()
 * @hook	'wecodeart_comments'
 * @hooked 	{
 * - WeCodeArt\Core\Comments	->render_meta()		- 10	comments intro text
 * - WeCodeArt\Core\Pagination	->comments() 		- 15	comments navigation
 * - WeCodeArt\Core\Comments	->render_comments()	- 20	comments list
 * - WeCodeArt\Core\Comments	->render_pings()	- 30	comments pings list
 * - WeCodeArt\Core\Pagination	->comments() 		- 35	comments navigation
 * - WeCodeArt\Core\Comments	->render_respond() 	- 40	comments reply form
 * }
 */
Markup::wrap( 'comments', [ [
	'tag' 	=> 'div',
	'attrs' => [
		'id' 	=> 'comments',
		'class' => 'comments'
	]
] ], 'do_action', [ 'wecodeart_comments', get_post_type() ] );

do_action( 'wecodeart/hook/comments/after' );