<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	WP-Customizer Config
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		3.5
 * @version		3.9.3
 */

namespace WeCodeArt\Customizer;

defined( 'ABSPATH' ) || exit;

/**
 * Customizer Config initial setup
 */
abstract class Config {
	/**
	 * Constructor
	 */
	public function __construct() {
		// Register new Customizer elements.
		if ( method_exists( $this, 'register' ) ) {
			add_filter( 'wecodeart/filter/customizer/configurations', [ $this, 'register' ], 30, 2 );
		} else {
			_doing_it_wrong(
				__CLASS__, 
				sprintf( 
					esc_html__(
						'When extending %s, you must create a `register` method, merging existing arguments with new ones.',
						'wecodeart' 
					),
					__CLASS__
				),
				'3.9.3'
			);
		}
	}
}