<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Support\WooCommerce\Customizer
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		3.5
 * @version		3.9.6
 */

namespace WeCodeArt\Support\WooCommerce;

if ( ! defined( 'ABSPATH' ) ) exit;

use WeCodeArt\Customizer\Config;
use WeCodeArt\Customizer\Formatting;
use WeCodeArt\Support\WooCommerce\Callbacks;

/**
 * Handles Customizer Settings for WooCommerce
 */
class Customizer {

	use \WeCodeArt\Singleton; 

	/**
	 * Send to Constructor
	 * @since 3.6.2
	 */
	public function init() {
		add_filter( 'wecodeart/filter/customizer/defaults', [ $this, 'extend_defaults' ] );

		new Customizer\Content();
	}

	/**
	 * Extend Customizer default options
	 *
	 * @since 3.6.0
	 */
	public function extend_defaults( $defaults ) {
		$defaults['content-layout-container-product-archive'] = 'container';
		$defaults['content-layout-modules-product-archive'] = [ 'content', 'primary' ];
		$defaults['content-layout-container-product-singular'] = 'container';
		$defaults['content-layout-modules-product-singular'] = [ 'content', 'primary' ];

		return $defaults;
	}
}