<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Author Box Template
 * @since 		3.0.3
 * @version		3.9.5
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Utilities\Helpers;
use WeCodeArt\Utilities\Markup\SVG;

?>
<div id="author-box" class="author-box py-4 mb-5">
	<div class="<?php echo esc_attr( $container ); ?>">
		<div class="row">
			<div class="author-box__name col-12">
				<h3 class="author-box__headline mb-3"><?php
				
					echo Helpers::kses_svg( SVG::compile( 'user' ) ); 
					
				?><span class="ml-2"><?php
				
					echo wp_kses_post( implode( ' ', [ $intro, $name ] ) );

				?></span>
				</h3>
			</div>
			<div class="author-box__gravatar col-12 col-md-auto"><?php

				echo wp_kses( $avatar, [ 'img' => [
					'class'  => true,
					'width'  => true,
					'height' => true,
					'alt'    => true,
					'src'    => true,
					'srcset' => true,
				] ] );

			?></div>
			<div class="author-box__description col"><?php
			
				echo wp_kses_post( $description );
				
				if( isset( $social ) && is_array( $social ) ) { ?>
				<div class="author-box__social"><?php
					foreach( $social as $item ) {
						$key = strtolower( $item['title'] );
						$classes = [ 'author-box__social-item', 'author-box__social-item--' . $key ];
					?>
					<a class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>"
						href="<?php echo esc_url( $item['url'] ); ?>"
						target="<?php echo esc_attr( $item['target'] ); ?>"
						rel="<?php echo ( $item['target'] === '_self' ) ? 'follow' : 'nofollow' ; ?>"><?php 
						
						echo Helpers::kses_svg( $item['icon'] );

					?></a>
					<?php } ?>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>
<!-- /author-box -->