<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Entry\Meta\Author
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		3.9.5
 * @version		3.9.5
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Utilities\Helpers;
use WeCodeArt\Utilities\Markup\SVG;

/**
 * @param   string  $author_name   Author Name
 * @param   string  $author_url    Author Archive Link
 * @param   int     $author_ID     Author ID
 */
?>
<span class="entry-author mr-2">
    <span class="d-inline-block mr-1"><?php
    
    echo Helpers::kses_svg( SVG::compile( 'user' ) );
    
    ?></span>
    <span class="screen-reader-text"><?php
    
    esc_html_e( 'Posted by ', wecodeart_config( 'textdomain' ) );

    ?></span>
    <a href="<?php echo esc_url( $author_url ); ?>" class="entry-author-link" rel="author">
        <span class="entry-author-name"><?php
        
        echo esc_html( $author_name ); 
    
        ?></span>
    </a>
</span>