<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Entry\Meta\Categories
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		3.9.6
 * @version		3.9.6
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Utilities\Helpers;
use WeCodeArt\Utilities\Markup\SVG;

/**
 * @param   int     $primary    Primary Category
 * @param   string  $separator  Separator
 */

$classnames         = [ 'entry-cats mr-2' ];

if( $primary ) {
    $classnames[]   = 'entry-cats--has-primary';
}
?>
<span class="<?php echo esc_attr( implode( ' ', $classnames ) ); ?>">
    <span class="d-inline-block mr-1"><?php

        echo Helpers::kses_svg( SVG::compile( (bool) $primary ? 'folder' : 'folders' ) );

    ?></span>
    <span class="screen-reader-text"><?php

        esc_html_e( 'Posted in ', wecodeart_config( 'textdomain' ) );
    
    ?></span><?php
    if( $primary ) {

        printf( 
            '<a href="%s" rel="category tag">%s</a>', 
            esc_url( get_category_link( $primary ) ),
            esc_html( get_term_by( 'id', $primary, 'category' )->name )
        );

    } else {

        get_the_category_list( $separator );

    }
    ?>
</span>