<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Entry\Meta\Date
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		3.9.5
 * @version		3.9.5
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Utilities\Helpers;
use WeCodeArt\Utilities\Markup\SVG;

/**
 * @param   array  $published   Date published
 * @param   array  $modified   Date modified
 */

$classnames         = [ 'entry-date' ];
if( isset( $modified ) ) {
    $classnames[] = 'entry-date--updated';
}
$class_published    = 'entry-date__time entry-date__time--published';
$class_published    = isset( $modified ) ? $class_published . ' d-none' : $class_published;
?>
<span class="<?php echo esc_attr( implode( ' ', $classnames ) ); ?>">
    <span class="d-inline-block mr-1"><?php

        echo Helpers::kses_svg( SVG::compile( 'clock' ) );

    ?></span>
    <span class="screen-reader-text"><?php

        esc_html_e( 'Posted on ', wecodeart_config( 'textdomain' ) );
    
    ?></span>
    <a href="<?php echo esc_url( get_permalink() ); ?>" class="entry-date__link mr-2">
        <time class="<?php echo esc_attr( $class_published ); ?>" datetime="<?php echo esc_attr( $published['robot'] ); ?>"><?php

            echo esc_html( $published['human'] );

        ?></time>
        <?php if( isset( $modified ) ) : ?>
        <time class="entry-date__time entry-date__time--updated"
            datetime="<?php echo esc_attr( $modified['robot'] ); ?>"
            title="<?php echo esc_attr( sprintf(
                esc_html__( 'Post updated on %s.', wecodeart_config( 'textdomain' ) ),
                esc_html( $modified['human'] )
            ) ); ?>"><?php

            echo esc_html( $modified['human'] );

        ?></time>
        <?php endif; ?>
    </a>
</span>