<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage  Header Branding HTML
 * @since	 	3.0.5
 * @version    	3.9.5
 */

if ( ! defined( 'ABSPATH' ) ) exit();

use WeCodeArt\Utilities\Markup\SVG;

?>
<div class="col">
	<?php
		if ( has_custom_logo() ) the_custom_logo();
		if ( is_front_page() ) : ?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>		
		<?php else : ?>
		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
	<?php
		endif;
		$description = get_bloginfo( 'description', 'display' );
		if ( $description || is_customize_preview() ) : ?>
			<p class="site-description"><?php echo wp_kses_post( $description ); ?></p>
	<?php
		endif;
	?>
</div>
<?php 
	$mod = get_theme_mod( 'header-bar-modules' );
	if ( in_array( 'search', $mod ) ) { ?>
	<div class="col-auto d-lg-none">
		<button class="btn btn-md" type="button" data-toggle="collapse" data-target=".header-bar__search" aria-expanded="false" aria-controls="bar-search">
			<span class="screen-reader-text"><?php esc_html_e( 'Search', 'wecodeart' ); ?></span>
			<?php SVG::render( 'search' ); ?>
		</button>
	</div>
	<?php }
	if ( in_array( 'menu', $mod ) ) { ?>
	<div class="col-auto d-lg-none">
		<button class="btn btn-md" type="button" data-toggle="collapse" data-target=".header-bar__menu" aria-expanded="false" aria-controls="bar-menu">
			<span class="screen-reader-text"><?php esc_html_e( 'Primary Menu', 'wecodeart' ); ?></span>
			<?php SVG::render( 'bars' ); ?>
		</button>
	</div>
	<?php }
?>